Subject: Suggested section text.

From: Mark Andrews <[email-masked]>
Date: Fri, 9 Nov 2018 08:34:57 +1100

Providing Prefixes to be excluded from DNS64 processing.

RFC6147, Section 6.3.3 allows for the deliberate use of DNS64 with dual stack networks.  For this to work the DNS64 process needs to know which addresses to exclude from DNS64 processing.  This can be signalled by publishing a APL [RFC3123] RRSet at ipv4only.arpa.  Typically this will include all local IPv4 address prefixes used on the site along with RFC 1918 prefixes and other exclusion sets as described in RFC 6147, Section 5.1.4. 

A typical home network would publish a exclusion set like this:

	ipv4only.arpa. APL  ( 1:10.0.0.0/8 1:192.168.0.0/16 1:172.16.0.0/12
			      2:::ffff:0:0/96 2:64:ff9b::/96 )

This is the RFC 1918 prefix list, IPv6 mapped IPv4 addresses and the DNS64 well known prefix.

Enterprises may also publish IPv4 address prefixes reached over private interconnects in addition to their own prefixes.

ISPs MUST NOT publish a exclusion list to their customers as they have no knowledge of the addresses being used internally by their customers.

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742              INTERNET: [email-masked]